<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="ben @ tilde.team unix group">
    <meta name="author" content="Ben Harris">

    <meta property="og:title" content="ben@tilde.team">
    <meta property="og:site_name" content="ben at tilde dot team">
    <meta property="og:url" content="https://tilde.team/~ben/">
    <meta property="og:description" content="my tilde page">
    <meta property="og:type" content="website">
    <meta property="og:image" content="https://tilde.team/apple-icon.png">

    <title>ben~tilde.team</title>

    <link rel="icon" type="image/png" sizes="192x192" href="https://tilde.team/apple-icon.png">

    <link rel="stylesheet" href="https://tilde.team/~ben/gruvbox/gruvbox.css">
    <link rel="stylesheet" href="https://tilde.team/css/fork-awesome.css">

    <style>
        [v-cloak] {
            display: none
        }
    </style>
</head>

<body>
    <main id="app">
        <div>
            <div class="pull-right">
                <p><a href="https://tilde.team/">&lt;- back to tilde team</a></p>
            </div>
            <h1>~ben</h1>
            <p v-cloak>{{ tagline }}
                <button @click="getnewtagline">
                    <i class="fa fa-refresh"></i>
                </button>
            </p>
            <hr>
        </div>

        <p>i built and maintain tilde.team. come join the tilde team
            <a href="https://tilde.team/signup/">:)</a>
        </p>
        <p>pitch in for hosting costs if you're able: <a href="https://bhh.sh/donate/">donate here</a></p>
        <p>the best place to find me is irc: i'm ben on <a href="https://tilde.chat">tilde.chat</a>
            and benharri on <a href="https://freenode.net">freenode</a></p>
        <p>here are some other places to find me</p>

        <?php include "links.php"; ?>

        <p>
            here are some <a href="trafficstats/">traffic stats</a> and 
            <a href="https://tilde.team/stats/">nginx stats</a>
        </p>

        <div v-cloak v-if="fonts.length > 0">
            <hr>
            <strong>
                <h3>play with some ascii art</h3>
            </strong>
            <form>
                <div>
                    <label for="font-selector">pick a font</label>
                    <select v-model="font" id="font-selector" @change="updateOutput">
                        <option v-for="font in fonts" :value="font">{{ font }}</option>
                    </select>
                </div>

                <div>
                    <label for="asciiinput">type here</label>
                    <input v-model="text" id="asciiinput" @input="updateOutput" placeholder="type here">
                </div>

                <div v-if="output">
                    <pre>{{ output }}</pre>
                </div>
            </form>
        </div>

        <hr>
        <div v-cloak>
            <img :src="yesnoimg" :alt="yesno">
            <h3>should u do it</h3>
            <strong>{{ yesno }}</strong>
        </div>
        <button @click="getyesno">find out</button>

        <h3>page hits as of jan 2020</h3>
        <script type="text/javascript" src="counter/gcount.php?page=index">

    </main>

    <script src="js/es6-promise.auto.min.js"></script>
    <script src="js/vue.js"></script>
    <script src="js/axios.min.js"></script>
    <script src="js/app.js"></script>

</body>

</html>
